"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyContainersSetting = void 0;
const helpers_1 = require("../common/helpers");
const settingsManager_1 = require("../common/settingsManager");
const applyContainersSetting = (config) => {
    let shouldApply = false;
    const containersHost = '0.0.0.0';
    if (settingsManager_1.serveSettings.containers == null) {
        const serveConfig = (0, helpers_1.getJSONFile)('config/serve.json');
        if ((serveConfig === null || serveConfig === void 0 ? void 0 : serveConfig.hostname) === containersHost || (serveConfig === null || serveConfig === void 0 ? void 0 : serveConfig.ipAddress) === containersHost) {
            shouldApply = true;
        }
    }
    if (settingsManager_1.serveSettings.containers) {
        shouldApply = true;
    }
    if (shouldApply) {
        config.devServer.host = containersHost;
        config.watchOptions = {
            poll: 1000,
            aggregateTimeout: 500,
            ignored: /node_modules/
        };
        config.devServer.client = config.devServer.client || {};
        config.devServer.client.webSocketURL = {
            hostname: 'localhost',
            pathname: '/ws',
            port: config.devServer.port,
            protocol: 'wss'
        };
    }
};
exports.applyContainersSetting = applyContainersSetting;
//# sourceMappingURL=containers.js.map